### Method

# GExiv2 Metadata get_exif_data

since: 0.12.2

#### Declaration [src]

    GBytes*
    gexiv2_metadata_get_exif_data (
      GExiv2Metadata* self,
      GExiv2ByteOrder byte_order,
      GError** error
    )

#### Description [src]

Returns a binary blob of the contained EXIF data, if the image contains any.

Available since: 0.12.2

#### Parameters

`byte_order`

  Type: `GExiv2ByteOrder`

  Whether to export the data in little or big endian format.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

The content of the EXIF data or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.